Bug 1267509 - Rebase scap-security-guide in Red Hat Enterprise Linux 6.8 to current upstream version
Summary: Rebase scap-security-guide in Red Hat Enterprise Linux 6.8 to current upstrea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scap-security-guide
Version: 6.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Jan Lieskovsky
QA Contact: Marek Haicman
Robert Krátký
URL:
Whiteboard:
Depends On:
Blocks: 1271982
TreeView+ depends on / blocked
 
Reported: 2015-09-30 08:31 UTC by Šimon Lukašík
Modified: 2016-05-10 21:40 UTC (History)
5 users (show)

Fixed In Version: scap-security-guide-0.1.28-2.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_scap-security-guide_ rebased to version 0.1.28 The _scap-security-guide_ package has been rebased to the latest upstream version (0.1.28), which offers a number of important fixes and enhancements. These include several improved or completely new profiles for both Red Hat Enterprise Linux 6 and 7, added automated checks and remediation scripts for many rules, human readable OVAL IDs that are consistent between releases, or HTML-formatted guides accompanying each profile.
Clone Of:
Environment:
Last Closed: 2016-05-10 21:40:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0846 normal SHIPPED_LIVE scap-security-guide bug fix update 2016-05-10 22:42:59 UTC

Description Šimon Lukašík 2015-09-30 08:31:05 UTC
Description of problem:
SCAP-Security-Guide (SSG) contains configuration hardening advice of Red Hat Enterprise Linux 6. Some customers are contributing fixes directly to upstream. The expectation is that we ship these fixes/improvements along the RHEL update release.

SCAP-Security-Guide (SSG) is low risk rebase component. It contains only bunch of XML files.

Comment 3 Šimon Lukašík 2015-10-15 07:18:50 UTC
Jan, we have been asked to update this bug with the list of features and justifications for this rebase. Can you help me to complete the list?

1) Bugfixes to rhel6 content (created by community of customers in ssg upstream)
2) rhel7 policy updated (mainly PCI-DSS final) -- this is useful for remote scan of rhel7 from rhel6 (through SCAP-Workbench or Satellite)
3) There are some amends/finalization of USGCB content
4) New profile (pci-dss) for rhel6 has been introduced in upstream.

Comment 5 Jan Lieskovsky 2015-12-11 21:06:49 UTC
(In reply to Šimon Lukašík from comment #3)
> Jan, we have been asked to update this bug with the list of features and
> justifications for this rebase. Can you help me to complete the list?
> 
> 1) Bugfixes to rhel6 content (created by community of customers in ssg
> upstream)
> 2) rhel7 policy updated (mainly PCI-DSS final) -- this is useful for remote
> scan of rhel7 from rhel6 (through SCAP-Workbench or Satellite)
> 3) There are some amends/finalization of USGCB content
> 4) New profile (pci-dss) for rhel6 has been introduced in upstream.

SSG Upstream 0.1.22 release notes (to be provided yet)

SSG Upstream 0.1.23 release notes:
  https://github.com/OpenSCAP/scap-security-guide/releases/tag/v0.1.23

SSG Upstream 0.1.24 release notes:
  https://github.com/OpenSCAP/scap-security-guide/releases/tag/v0.1.24

SSG Upstream 0.1.25 release notes (to be updated yet):
  https://github.com/OpenSCAP/scap-security-guide/releases/tag/v0.1.25

SSG Upstream 0.1.26 release notes:
  https://github.com/OpenSCAP/scap-security-guide/releases/tag/v0.1.26

SSG Upstream 0.1.27 release notes:
  https://github.com/OpenSCAP/scap-security-guide/releases/tag/v0.1.27

Comment 10 errata-xmlrpc 2016-05-10 21:40:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0846.html


Note You need to log in before you can comment on or make changes to this bug.